import PrivateClient from '../../clients/types/privateClient';
import ChannelBase from '../channelBase';

class PrivateChannel extends ChannelBase {
  clients: PrivateClient[] = [];

  constructor(id: string) {
    super(id);

    this.broadcastConditions =
      "to != from && \
      to.roles.includes('receiver') && \
      from.roles.includes('broadcaster')";
  }
}

export default PrivateChannel;
